UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

AR# 4402

Foundation F1.5, State Editor: After migrating design from F1.4 to F1.5, incorrect VHDL libraries used

Description

Date: 9/98

Keywords: fsm, state editor, vhdl, synopsys, metamor, library, E:#0, VSS-573

Urgency: standard

General Description:

After migrating a Foundation project from pre-F1.5 to F1.5 project type, any
VHDL-based State Editor modules will have incorrect libraries used in the VHDL
code, and will therefore produce errors such as the following when synthesized:

E:#0 Error: D:/14PROJ/WATCH/stopwtch.VHD line 12
No selected element named STD_LOGIC_ARITH is defined for this prefix.
(VSS-573)
E:#0 Error: D:/14PROJ/WATCH/stopwtch.VHD line 13
No selected element named STD_LOGIC_UNSIGNED is defined for this prefix. (VSS-573)
E:#0 Error: D:/14PROJ/WATCH/stopwtch.VHD line -15
Library logical name METAMOR is not mapped to a host directory. (VSS-1071) (FE-dm-hdlc-unknown)
E:#0 Error: D:/14PROJ/WATCH/stopwtch.VHD line 16
No selected element named ATTRIBUTES is defined for this prefix. (VSS-573)
E:#0 Error: D:/14PROJ/WATCH/stopwtch.VHD line 26
The intermediate file for entity STOPWTCH is not in the library bound to WORK

Solution

When the project is converted from XACTStepM1 project type to Foundation Series
v1.5 project type (See (Xilinx Solution 4363) for details on project
conversion), the libraries used by the State Editor are not updated
automatically. Therefore, even when a change is made to the State Editor
diagram and thus the VHDL code is regenerated by the State Editor, the
libraries will be incorrect for use with the Express VHDL compiler. The
libraries which are used are compatible with the older XVHDL compiler.

To correct the problem, select Synthesis -> Select Libraries from within the
State Editor. Here you may change the libraries which are used. You may
simply click on the Default button to change the libraries to be the correct
F1.5 libraries, as shown below:

library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.std_logic_arith.all;
use IEEE.std_logic_unsigned.all;

library SYNOPSYS;
use SYNOPSYS.attributes.all;

If you have any user libraries, cut them out of the Library Headers window
before clicking on the Default button. Paste them back in after clicking on
Default.

Re-save the State Editor file, and resynthesize.
AR# 4402
Date Created 08/03/1998
Last Updated 03/06/2002
Status Archive
Type General Article